NoReplicationTokenAllocator (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.dht.tokenallocator

## Class NoReplicationTokenAllocator<Unit>

- java.lang.Object
- - org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase<Unit>
  - - org.apache.cassandra.dht.tokenallocator.NoReplicationTokenAllocator<Unit>

- All Implemented Interfaces:
    TokenAllocator<Unit>

      public class NoReplicationTokenAllocator<Unit>
      extends TokenAllocatorBase<Unit>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoReplicationTokenAllocator(java.util.NavigableMap<Token,Unit> sortedTokens, org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<Unit> strategy, IPartitioner partitioner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<Token>` | `addUnit(Unit newUnit, int numTokens)`
    `protected void` | `createTokenInfos()` Used in tests.
    `int` | `getReplicas()`

    - ### Methods inherited from class org.apache.cassandra.dht.tokenallocator.TokenAllocatorBase

      `createUnitInfos`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoReplicationTokenAllocator

          public NoReplicationTokenAllocator(java.util.NavigableMap<Token,Unit> sortedTokens,
                                             org.apache.cassandra.dht.tokenallocator.ReplicationStrategy<Unit> strategy,
                                             IPartitioner partitioner)

  - ### Method Detail

    - #### createTokenInfos

          protected void createTokenInfos()

      Used in tests.

    - #### addUnit

          public java.util.Collection<Token> addUnit(Unit newUnit,
                                                     int numTokens)

    - #### getReplicas

          public int getReplicas()

      Specified by:
        `getReplicas` in class `TokenAllocatorBase<Unit>`

Copyright © 2018 The Apache Software Foundation